<?php
include "jpgraph/src/jpgraph.php";
include "jpgraph/src/jpgraph_bar.php";
include "jpgraph/src/jpgraph_error.php";
include "jpgraph/src/jpgraph_scatter.php";

// Create the graph.
$graph = new Graph(800,600,"auto");
$graph->img->SetMargin(45,20,20,40);
$graph->SetScale("textlin", 0, ceil(max($errdata)));
$graph->SetShadow();
$graph->SetColor(array(250,250,250));

$graph->img->SetTransparent("white");

// Create the bar plot
$barplot = new BarPlot($data);
$barplot->SetFillColor("orange");
$barplot->SetValuePos("center"); 

// Create the error plot
$errplot=new ErrorPlot($errdata);
$errplot->SetColor("red");
$errplot->SetWeight(2);
$errplot->SetCenter();

// create the scatter plot
$scatplot=new ScatterPlot($data);

// Add the plots to the graph
//$graph->Add($barplot);
$graph->Add($errplot);
$graph->Add($scatplot);

$graph->title->Set($title);
$graph->xaxis->title->Set($xtitle);
$graph->yaxis->title->Set($ytitle);

$graph->title->SetFont(FF_FONT1,FS_BOLD);
$graph->yaxis->title->SetFont(FF_FONT1,FS_BOLD);
$graph->xaxis->title->SetFont(FF_FONT1,FS_BOLD);

$graph->xaxis->SetTickLabels($label);
if ($vertlabel) {
	$graph->xaxis->SetLabelAngle(90);
	$graph->xaxis->SetLabelAlign('center','bottom');
	$graph->xaxis->SetLabelMargin(-10);
} else {
	$graph->xaxis->SetTextTickInterval(max(1, (int)(sizeof($data)/10)));
}

// Display the graph
$graph->Stroke();
?>
